Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2706453003: switch to new ImageGenerator API (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months, 1 week ago by reed1
Modified:
7 months ago
CC:
ajuma+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, darin-cc_chromium.org, dglazkov+blink, dshwang, drott+blinkwatch_chromium.org, krit, feature-media-reviews_chromium.org, fmalita+watch_chromium.org, jam, jbroman, Justin Novosad, kinuko+watch, mlamouri+watch-content_chromium.org, pdr+graphicswatchlist_chromium.org, posciak+watch_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

switch to new ImageGenerator API Since the image is the exclusive owner of the generator, change the parameter type to std::unique_ptr<SkImageGenerator> BUG=skia:5077 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel TBR=hubbe Review-Url: https://codereview.chromium.org/2706453003 Cr-Commit-Position: refs/heads/master@{#451848} Committed: https://chromium.googlesource.com/chromium/src/+/08cd16372dba031d8adac493288fbe1a8c67a678

Patch Set 1 #

Total comments: 4

Patch Set 2 : fix skia_common #

Patch Set 3 : fix typo #

Patch Set 4 : fix new site in tile_manager_unittest.cc #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -17 lines) Patch
M cc/test/skia_common.cc View 1 2 chunks +2 lines, -1 line 0 comments Download
M cc/tiles/tile_manager_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M content/renderer/render_thread_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/renderers/skcanvas_video_renderer.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M skia/config/SkUserConfig.h View 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/exported/WebImageGenerator.cpp View 1 chunk +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp View 1 2 2 chunks +3 lines, -5 lines 0 comments Download
M third_party/WebKit/public/platform/WebImageGenerator.h View 2 chunks +2 lines, -1 line 0 comments Download
Trybot results:  chromium_presubmit   linux_chromium_tsan_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   android_n5x_swarming_rel   chromium_presubmit   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_clang   android_clang_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   ios-device-xcode-clang   cast_shell_linux   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   linux_trusty_blink_rel   ios-device   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_arm64_dbg_recipe   android_compile_dbg   linux_android_rel_ng   android_cronet   linux_chromium_tsan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   win_chromium_compile_dbg_ng   android_compile_dbg   chromeos_daisy_chromium_compile_only_ng   ios-device   cast_shell_android   mac_chromium_rel_ng   linux_chromium_rel_ng   ios-simulator-xcode-clang   linux_android_rel_ng   win_clang   linux_chromium_compile_dbg_ng   ios-device-xcode-clang   cast_shell_linux   win_chromium_rel_ng   android_clang_dbg_recipe   android_cronet   android_n5x_swarming_rel   linux_chromium_chromeos_rel_ng   mac_chromium_compile_dbg_ng   chromium_presubmit   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   ios-simulator   linux_trusty_blink_rel   android_arm64_dbg_recipe   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 57 (36 generated)
reed1
7 months, 1 week ago (2017-02-17 16:27:05 UTC) #5
reed1
need owners for WebKit/public, content, media for refactoring CL
7 months, 1 week ago (2017-02-17 16:30:36 UTC) #7
f(malita)
lgtm https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp File third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp (right): https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp#newcode331 third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp:331: std::unique_ptr<DecodingImageGenerator> generator(new DecodingImageGenerator( nit: WTF::makeUnique(...);
7 months, 1 week ago (2017-02-17 16:41:08 UTC) #8
chrishtr
https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/public/platform/WebImageGenerator.h File third_party/WebKit/public/platform/WebImageGenerator.h (right): https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/public/platform/WebImageGenerator.h#newcode44 third_party/WebKit/public/platform/WebImageGenerator.h:44: static std::unique_ptr<SkImageGenerator> create(sk_sp<SkData>); It's not clear to me immediately ...
7 months, 1 week ago (2017-02-17 17:14:52 UTC) #11
reed1
https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/public/platform/WebImageGenerator.h File third_party/WebKit/public/platform/WebImageGenerator.h (right): https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/public/platform/WebImageGenerator.h#newcode44 third_party/WebKit/public/platform/WebImageGenerator.h:44: static std::unique_ptr<SkImageGenerator> create(sk_sp<SkData>); On 2017/02/17 17:14:51, chrishtr wrote: > ...
7 months, 1 week ago (2017-02-17 18:13:29 UTC) #13
reed1
https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp File third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp (right): https://codereview.chromium.org/2706453003/diff/1/third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp#newcode331 third_party/WebKit/Source/platform/graphics/DeferredImageDecoder.cpp:331: std::unique_ptr<DecodingImageGenerator> generator(new DecodingImageGenerator( On 2017/02/17 16:41:08, f(malita) wrote: > ...
7 months, 1 week ago (2017-02-17 18:19:35 UTC) #16
reed1
7 months, 1 week ago (2017-02-17 19:19:11 UTC) #19
chrishtr
lgtm
7 months, 1 week ago (2017-02-17 19:28:33 UTC) #22
reed1
owners ptal
7 months, 1 week ago (2017-02-17 23:39:17 UTC) #29
chrishtr
lgtm
7 months, 1 week ago (2017-02-17 23:55:42 UTC) #30
jochen (gone - plz use gerrit)
lgtm
7 months ago (2017-02-20 09:29:58 UTC) #31
jochen (gone - plz use gerrit)
please reference a tracking bug from the CL description
7 months ago (2017-02-20 09:30:09 UTC) #32
reed1
On 2017/02/20 09:30:09, jochen wrote: > please reference a tracking bug from the CL description ...
7 months ago (2017-02-20 14:51:53 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2706453003/40001
7 months ago (2017-02-20 14:52:20 UTC) #37
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/368552)
7 months ago (2017-02-20 15:00:06 UTC) #39
reed1
need OWNER for cc/test
7 months ago (2017-02-20 15:13:09 UTC) #41
enne (OOO)
lgtm
7 months ago (2017-02-21 17:08:45 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2706453003/50001
7 months ago (2017-02-21 17:44:36 UTC) #49
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/369202)
7 months ago (2017-02-21 19:04:55 UTC) #51
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2706453003/50001
7 months ago (2017-02-21 20:45:03 UTC) #54
commit-bot: I haz the power
7 months ago (2017-02-21 22:12:26 UTC) #57
Message was sent while issue was closed.
Committed patchset #4 (id:50001) as
https://chromium.googlesource.com/chromium/src/+/08cd16372dba031d8adac493288f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b